Subject: Re: bug#30134: ehsell and process-environment variable

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Jan 2018 19:04:08 +0200

[Please keep the bug address on the CC list.]

> From: SK Kim <[email-masked]>
> Date: Tue, 16 Jan 2018 16:09:17 +0900
> 
> So that means, this result is natural in Emacs and package authors
> should also avoid such a code. Is this right?

Yes, I think so.

> Maybe if I want to guarantee the code is working properly in any
> buffers of Emacs, I should wrap the code with 'with-temp-buffer' as below.
> 
> (with-temp-buffer
>   (let ((process-environment (cons "TEST=1234" process-environment)))
>     (make-term "test-term" "/bin/bash")))

Maybe.  I will take another look in a couple of days.